<template>
  <div
    class="AppSellerPrice"
    :class="{ '_isWholesale': isWholesale }">
    <div
      v-if="isWholesale"
      class="priceNote">
      Для юр. лиц
    </div>
    <div class="sellerPrice">
      <template v-if="discount">
        <div class="sellerPrice-item">
          <div
            class="discount"
            v-tooltip="tooltipPartDiscountPrice">
            <img
              svg-inline
              src="~/assets/svg/redesign/sale.svg">
          </div>
          {{ price | spacifyNumber }} ₽</div>
        <div
          class="sellerPrice-old"
          :class="{ '__gray': !isWholesale }">
          {{ oldPrice | spacifyNumber }} ₽
        </div>
      </template>
      <template v-else>
        <div class="sellerPrice-item">{{ price | spacifyNumber }} ₽</div>
      </template>
    </div>
  </div>
</template>

<script>
export default {
  name: 'AppSellerPrice',
  props: {
    discount: {
      type: Number,
      default: null,
    },
    price: {
      type: Number,
      default: null,
    },
    oldPrice: {
      type: Number,
      default: null,
    },
    isWholesale: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      tooltipPartDiscountPrice: {
        content: 'Скажите, что вы с ГисАвто и получите скидку',
        placement: 'left-start',
        html: true,
        trigger: 'hover',
        offset: 4,
        classes: 'tooltipDark tooltipDiscount',
        delay: 0,
      },
    };
  },
};
</script>

<style lang="postcss">
  .tooltipDiscount {
    max-width: 10rem;
  }
  .AppSellerPrice {
    display: flex;
    flex-direction: column;
    align-items: flex-end;

    &._isWholesale {
      color: #C00900;
    }

    .sellerPrice {
      display: flex;
      flex-direction: column;
      font-size: 1.5rem;

      &-item {
        order: 1;
        display: block;
        font-size: 1em;
        font-weight: var(--font-weight-bold);
        white-space: nowrap;
      }

      &-old {
        order: 2;
        display: block;
        padding-left: 1.75rem;
        width: 100%;
        font-size: 1rem;
        text-decoration: line-through;
        white-space: nowrap;
      }

      .discount {
        order: 0;
        flex-shrink: 0;
        display: inline-block;
        vertical-align: middle;
        padding-right: 0.25rem;
        .svg {
          margin-bottom: 1px;
          width: 1rem;
          height: 1rem;
        }
      }
    }

    .priceNote {
      color: #C00900;
      font-size: 0.875rem;
      font-weight: var(--font-weight-medium);
      /* &:before {
        display: inline-block;
        content: '+';
        font-size: 1rem;
        font-weight: 600;
      } */
    }

    @media (min-width: 981px) and (max-width: 1200px) {
      .sellerPrice {
        font-size: 1.25rem;

        &-old {
          padding-left: 1.625rem;
        }
      }
    }

    @media screen and (max-width: 980px) {
      align-items: flex-start;
      padding-bottom: 1rem;
      .sellerPrice {
        &-item {
          font-size: 1.5rem;
        }

        &-old {
          padding-left: 2.625rem;
          font-size: 0.875em;
        }

        .discount {
          padding-top: 0.25rem;
          padding-right: 0.5rem;

          .svg {
            width: 1.6875rem;
            height: 1.6875rem;
          }
        }
      }
    }
  }
</style>
